Skip to main content
GET
/
api
/
dashboard
/
decisions
Recent decisions
curl --request GET \
  --url https://api.example.com/api/dashboard/decisions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "topic": "<string>",
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "days_ago": 123,
      "status": "<string>",
      "project": "<string>",
      "scope": "<string>",
      "due_date": "2023-12-25"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work
project
string | null

Filter by project name

limit
integer
default:10

Max items to return

Required range: 1 <= x <= 100

Response

Successful Response

Generic list response for dashboard endpoints.

items
(CommitmentItem · object | AlertItem · object | DecisionItem · object)[]
required

A single commitment in the dashboard.

total
integer
required